Subject: Re: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Feb 2022 16:23:55 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 20 Feb 2022 15:10:05 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It changes semantics.  The list of file names passed to a command
> > doesn't necessarily mean "open each file and process it", it could
> > mean something else, like "make a list of files".  So I don't think we
> > should do that.
> 
> Commands like "echo" will behave differently, but I tried to imagine
> other functions where this would make a difference, and I failed.  Do
> you have any examples?

Here:

   find /foo/bar -name %f

I think substituting "./bar" for %f has different semantics that
"bar", doesn't it?

Basically, any scenario where "foo" doesn't mean 'the file "foo" in
the directory where the command is invoked'.

> The old behaviour would misbehave for the vast majority of commands, so
> I think it's an improvement.

In some cases, yes.  I'm worried about those where it changes the
meaning, and the fact that we do this silently.